local function mark_entities(player)
  player = player and game.players[player]  
  if player then
    for _, ghost in pairs(player.surface.find_entities_filtered{name="entity-ghost"}) do
      if ghost.ghost_type ~= "mining-drill" then
        player.print(ghost.ghost_name.." [gps="..ghost.position.x..","..ghost.position.y.."]")
      end
    end
  end
end

script.on_event("find_ghosts", function(event)
  if event.input_name == "find_ghosts" then
    mark_entities(event.player_index)
  end
end)

commands.add_command("find_ghosts", nil, function(command)
  if command.player_index ~= nil then
    mark_entities(command.player_index)
  end
end)
